package main

import (
	"backea/internal/backup/strategy"
	"backea/internal/server"
	"log"
	"os"

	"github.com/joho/godotenv"
)

func main() {
	if err := godotenv.Load(); err != nil {
		log.Printf("Warning: .env file not found or could not be loaded: %v", err)
	}
	port := os.Getenv("PORT")
	if port == "" {
		port = "21311"
	}

	// Create backup factory
	configPath := "config.yml"
	// cfg, _ := models.LoadConfig(configPath)
	backupFactory, _ := strategy.NewFactory(configPath)

	// Initialize and start the server
	srv := server.New(*backupFactory)
	log.Printf("Starting server on port %s", port)
	if err := srv.Start(":" + port); err != nil {
		log.Fatalf("Failed to start server: %v", err)
	}
}
